## dvi2ps-fontdata 1.0.1

=== debian/changelog ===
dvi2ps-fontdata (1.0.1-4) unstable; urgency=medium

  * Team upload.
  * Maintain package in TeX team
    Closes: #1120264
  * d/copyright: DEP5
  * Seems the most sensible Homepage is Debian itself
  * Add fake watch file
  * d/rules: switch to dh
  * debhelper-compat=13
  * Drop unneeded *.postinst and *.postrm
  * Standards-Version: 4.7.2 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Trim trailing whitespace.
  * Change priority extra to priority optional.
  * Remove field Priority on binary package dvi2ps-fontdata-ptexfake that
    duplicates source.
  * Conflicts between dvi2ps-fontdata-a2n and dvi2ps-fontdata-n2a
    Closes: #438599
  * Add Depends: dvi2ps-fontdata-three to dvi2ps-fontdata-ja
    Closes: #857404

  [ Hilmar Preuße ]
  * Replace hand written post{in,rm} scripts by generated ones using
    tex-common.

 -- Andreas Tille <tille@debian.org>  Thu, 27 Nov 2025 07:48:09 +0100

dvi2ps-fontdata (1.0.1-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Update debhelper to compat 7. (Closes: #965503)
  * Convert to source format 3.0 (quilt).

 -- Bastian Germann <bage@debian.org>  Wed, 17 May 2023 01:09:25 +0200

dvi2ps-fontdata (1.0.1-3.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 13:21:18 +0100

dvi2ps-fontdata (1.0.1-3) unstable; urgency=low

  * Change installing paths for vf and tfm file included in
    dvi2ps-fontdata-ja and the extension of vf files because
    dvi2ps (>=4.1j) changes its search path.
  * debian/control:
    - Update Standards-Version.
    - Add Dependency on ${misc:Depends}.
  * Use debhelper verion 5 instead of version 4.

 -- OHURA Makoto <ohura@debian.org>  Mon, 22 Mar 2010 14:40:38 +0900

dvi2ps-fontdata (1.0.1-2) unstable; urgency=low

  * Rewrite debian/rules
   - Don't use 'install -d' command. Instead of that, use dh_installdirs
    and debian/*.dirs files.
   - Don't use 'ln -s' command. Instead of that, use dh_link and
    debian/*.links files.
   - Merge debian/Makefile with debian/rules.
  * Rewrite package description. (Closes: #209465, #209492, #209494, #209497, #209519, #209607, #209648)
  * Remove dvi2ps-fontdata-bsr, for this package has been useless now.

 -- OHURA Makoto <ohura@debian.org>  Sat, 11 Oct 2003 00:32:04 +0900

dvi2ps-fontdata (1.0.1-1) unstable; urgency=low

  * New Maintainer. (closes: #192691)
  * Rewrite debian/Makefile a bit.

 -- OHURA Makoto <ohura@debian.org>  Wed,  1 Oct 2003 13:38:01 +0900

dvi2ps-fontdata (1.0.1-0.1) unstable; urgency=low

  * NMU.
  * New Upstream Release.
   - 3 (dvi2ps-fontdata-three) was updated.  TFM files were renamed;
     fmin-b, fgo-b, jun-l -> fmb, fgb, jl  (Closes: #101848)
   - ricohsp-tfm (dvi2ps-fontdata-rsp) and typebank-tfm (dvi2ps-fontdata-tbank)
     were updated and renamed in the upstream.
     rmin-l-s, gtb-m-s -> rmls, gbms and tbm-m, tbg-b -> tmm, tgb
   - ricohrs (dvi2ps-fontdata-rrs) was removed from the upstream.
  * symbolic links such that a2mor2-min10.vf to a2mor2/min10.vf
    for backward compatibility were no more available. So added
    Conflicts: dvi2ps (<< 3.2j)
  * Added supporting files for dvi2ps and dvipsk-ja of dvi2ps-fontdata-three.

 -- Atsuhito KOHDA <kohda@debian.org>  Mon, 10 Feb 2003 21:04:11 +0900

dvi2ps-fontdata (1.0-8) unstable; urgency=low

  * Added sharutils to Build-Depends-Indep in debian/control.
    (closes: #134953)

 -- Hayao Nakahara <nakahara@debian.org>  Mon, 25 Feb 2002 23:10:57 +0900

dvi2ps-fontdata (1.0-7) stable unstable; urgency=low

  * Added missing symbolic links. (closes: #131560)

 -- Hayao Nakahara <nakahara@debian.org>  Thu, 31 Jan 2002 04:11:43 +0900

dvi2ps-fontdata (1.0-6) stable unstable; urgency=low

  * file names of vf fonts are changed to standard ones.
    (e.g. a2mor2-min10.vf is renamed to a2mor2/min10.vf)
  * symbolic links such that a2mor2-min10.vf to a2mor2/min10.vf
    still exist for backward compatibility.

 -- Hayao Nakahara <nakahara@debian.org>  Tue, 11 Dec 2001 14:22:02 +0900

dvi2ps-fontdata (1.0-5) stable unstable; urgency=low

  * fixed syntax errors in postrm scripts.

 -- Hayao Nakahara <nakahara@debian.org>  Wed,  6 Sep 2000 22:31:48 +0900

dvi2ps-fontdata (1.0-4) frozen unstable; urgency=low

  * dvi2ps-fontdata-bsr: added dependency to "tetex-extra".

 -- Hayao Nakahara <nakahara@debian.org>  Fri, 26 May 2000 15:21:46 +0900

dvi2ps-fontdata (1.0-3) unstable; urgency=low

  * debian/rules: fixed for dvi2ps-fontdata-bsr.

 -- Hayao Nakahara <nakahara@debian.org>  Sun,  5 Dec 1999 15:27:44 +0900

dvi2ps-fontdata (1.0-2) unstable; urgency=low

  * Added min*.vf, goth*.vf, tmin*.vf, tgoth*.vf to dvi2ps-fontdata-ja.

 -- Hayao Nakahara <nakahara@debian.org>  Thu, 18 Nov 1999 03:17:52 +0900

dvi2ps-fontdata (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Hayao Nakahara <nakahara@debian.org>  Fri, 29 Oct 1999 23:41:19 +0900
