=== debian/control ===
Source: dvi2ps-fontdata
Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
Uploaders: OHURA Makoto <ohura@debian.org>,
           Hilmar Preuße <hille42@debian.org>
Section: tex
Priority: optional
Build-Depends: debhelper-compat (= 13),
		tex-common
Build-Depends-Indep: sharutils
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/tex-team/dvi2ps-fontdata
Vcs-Git: https://salsa.debian.org/tex-team/dvi2ps-fontdata.git
Homepage: https://packages.debian.org/dvi2ps-fontdata

Package: dvi2ps-fontdata-ja
Architecture: all
Depends: ${misc:Depends},
         dvi2ps-fontdata-three
Conflicts: fontdata-j
Description: Font data for dvi2ps-j and dvi2dvi
 Virtual fonts and TFM files for Morisawa fonts, and VFlib.
 .
 If you want to convert pTeX dvi and/or jTeX dvi to Postscript using
 dvi2ps, install this package.

Package: dvi2ps-fontdata-rsp
Architecture: all
Depends: dvi2ps-fontdata-ja,
         ${misc:Depends}
Conflicts: fontdata-j,
           fontdata-rsp
Description: Font data of RICOH SP10 printer
 Virtual font and TFM files for RICOH SP-10 printer.
 .
 If you want to print out to RICOH PC LASER SP-10PS, install this
 package.

Package: dvi2ps-fontdata-tbank
Architecture: all
Depends: dvi2ps-fontdata-ja,
         ${misc:Depends}
Conflicts: fontdata-j,
           fontdata-tbank
Description: Font data of Typebank font
 Virtual font and TFM files for Typebank font.
 .
 If you want to print out to QMS printer, install this package.

Package: dvi2ps-fontdata-three
Architecture: all
Depends: dvi2ps-fontdata-ja,
         ${misc:Depends}
Conflicts: fontdata-j,
           fontdata-three
Description: Font data of Adobe Japanese fonts (futomin, futogo, jun101)
 Virtual font and TFM files for Adobe postscript fonts:
 FutoMinA101-Bold-H, FutoGoB101-Bold-H, Jun101-Light-H
 Also style file and fontdesc file for these fonts.

Package: dvi2ps-fontdata-a2n
Architecture: all
Depends: dvi2ps-fontdata-ja,
         dvi2dvi,
         ${misc:Depends}
Conflicts: fontdata-j,
           fontdata-a2n,
           dvi2ps-fontdata-n2a
Description: Font data to convert pTeX's dvi file to jTeX's dvi file
 Virtual font for converting dvi files of ASCII pTeX to dvi files to NTT jTeX.
 .
 If you want to convert pTeX dvi to jTeX dvi, install this package and
 use dvi2dvi.

Package: dvi2ps-fontdata-n2a
Architecture: all
Depends: dvi2ps-fontdata-ja,
         dvi2dvi,
         ${misc:Depends}
Conflicts: fontdata-j,
           fontdata-n2a,
           dvi2ps-fontdata-a2n
Description: Font data to convert jTeX dvi file to pTeX dvi file
 Virtual font for converting dvi files of NTT jTeX to dvi files of ASCII pTeX.
 .
 If you want to convert jTeX dvi to pTeX dvi, install this package and
 use dvi2dvi.

Package: dvi2ps-fontdata-ptexfake
Architecture: all
Depends: dvi2ps-fontdata-ja,
         ${misc:Depends}
Conflicts: fontdata-j,
           fontdata-ptex,
           ptex-base
Description: Fake pTeX TFM files
 Monometric TFM files for min and goth fonts of ASCII pTeX.
 .
 If you want only to convert pTeX dvi to Postscript and/or to preview
 pTeX dvi with xdvik-ja, install this package instead of ptex-base.
