=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


docdir=/usr/share/doc
ja=dvi2ps-fontdata-ja
three=dvi2ps-fontdata-three

MAKE=make -f debian/rules

FONTS=$(DESTDIR)/usr/share/texmf/fonts

%:
	dh $@ --with tex

override_dh_auto_build:
	dh_auto_build
	uudecode -o /dev/stdout debian/ptexfake-tfm.tar.gz.uu | tar xvpfz -

override_dh_auto_install-indep:
	# Add here commands to install the indep part of the package into
	chmod +x debian/install-jdoc
	debian/install-jdoc README debian/$(ja)$(docdir)/$(ja)/README.ja
	debian/install-jdoc vfdata.doc debian/$(ja)$(docdir)/$(ja)
	debian/install-jdoc 3/README debian/$(ja)$(docdir)/$(ja)/README.three
	install -m 644 prninfo.ps debian/$(ja)$(docdir)/$(ja)

	$(MAKE) install-ja DESTDIR=`pwd`/debian/$(ja)

	$(MAKE) install-a2n DESTDIR=$(CURDIR)/debian/dvi2ps-fontdata-a2n
	ln -sf /usr/share/doc/dvi2ps-fontdata-ja $(CURDIR)/debian/dvi2ps-fontdata-a2n/usr/share/doc/dvi2ps-fontdata-a2n

	$(MAKE) install-n2a DESTDIR=`pwd`/debian/dvi2ps-fontdata-n2a
	ln -sf /usr/share/doc/dvi2ps-fontdata-ja $(CURDIR)/debian/dvi2ps-fontdata-n2a/usr/share/doc/dvi2ps-fontdata-n2a

	$(MAKE) install-tbank DESTDIR=`pwd`/debian/dvi2ps-fontdata-tbank
	ln -sf /usr/share/doc/dvi2ps-fontdata-ja $(CURDIR)/debian/dvi2ps-fontdata-tbank/usr/share/doc/dvi2ps-fontdata-tbank

	$(MAKE) install-rsp DESTDIR=`pwd`/debian/dvi2ps-fontdata-rsp
	ln -sf /usr/share/doc/dvi2ps-fontdata-ja $(CURDIR)/debian/dvi2ps-fontdata-rsp/usr/share/doc/dvi2ps-fontdata-rsp

	$(MAKE) install-three DESTDIR=`pwd`/debian/$(three)
	ln -sf /usr/share/doc/dvi2ps-fontdata-ja $(CURDIR)/debian/$(three)/usr/share/doc/dvi2ps-fontdata-three

	$(MAKE) install-ptexfake DESTDIR=`pwd`/debian/dvi2ps-fontdata-ptexfake
	ln -sf /usr/share/doc/dvi2ps-fontdata-ja $(CURDIR)/debian/dvi2ps-fontdata-ptexfake/usr/share/doc/dvi2ps-fontdata-ptexfake

	dh_movefiles -i --sourcedir=debian/$(ja)

install-ja:
	cd morisawa2; \
	for i in * ; do \
	install -m 644 $$i $(FONTS)/vfdev/morisawa/ptex/`basename $$i .vf`.jvf ; \
	done
	cd morisawa2-v; \
	for i in * ; do \
	install -m 644 $$i $(FONTS)/vfdev/morisawa/ptex/`basename $$i .vf`.jvf ; \
	done
	# morisawa2-v2h, -vsy, -vsyd
	cd morisawa2-v2h; \
	for i in * ; do \
	install -m 644 $$i $(FONTS)/vf/ptex/a2mor2-jp/$$i ; \
	done
	cd morisawa2-vsy; \
	for i in * ; do \
	install -m 644 $$i $(FONTS)/vf/ptex/a2mor2-ps/$$i ; \
	done
	cd morisawa2-vsyd; \
	for i in * ; do \
	install -m 644 $$i $(FONTS)/vf/ptex/a2mor2-dir/$$i ; \
	done
	cd morisawa2-tfm ; \
	for i in * ; do \
	install -m 644 $$i $(FONTS)/tfm/morisawa/$$i ; \
	done
	cd morisawa2-v-tfm ; \
	for i in * ; do \
	install -m 644 $$i $(FONTS)/tfm/morisawa/$$i ; \
	done

install-a2n:
	cd a2n; \
	for i in * ; do \
	install -m 644 $$i $(FONTS)/vf/a2n/$$i ; \
	done

install-n2a:
	cd n2a; \
	for i in * ; do \
	install -m 644 $$i $(FONTS)/vf/n2a/$$i ; \
	done

install-tbank:
	cd typebank-tfm ; \
	for i in * ; do \
	install -m 644 $$i $(FONTS)/tfm/jp/$$i ; \
	done
	cd typebank ; \
	for i in * ; do \
	install -m 644 $$i $(FONTS)/vf/ptex/a2tbank/$$i ; \
	done
	# virtical fonts
	cd typebank-v-tfm ; \
	for i in * ; do \
	install -m 644 $$i $(FONTS)/tfm/jp/$$i ; \
	done
	cd typebank-v ; \
	for i in * ; do \
	install -m 644 $$i $(FONTS)/vf/ptex/a2tbank/$$i ; \
	done

install-rsp:
	cd ricohsp-tfm ; \
	for i in * ; do \
	install -m 644 $$i $(FONTS)/tfm/jp/$$i ; \
	done
	cd ricohsp ; \
	for i in * ; do \
	install -m 644 $$i $(FONTS)/vf/ptex/a2rsp/$$i ; \
	done
	# virtical fonts
	cd ricohsp-v-tfm ; \
	for i in * ; do \
	install -m 644 $$i $(FONTS)/tfm/jp/$$i ; \
	done
	cd ricohsp-v ; \
	for i in * ; do \
	install -m 644 $$i $(FONTS)/vf/ptex/a2rsp/$$i ; \
	done

install-three:
	cd 3-tfm ; \
	for i in *.tfm ; do \
	install -m 644 $$i $(FONTS)/tfm/jp/$$i ; \
	done
	cd 3 ; \
	for i in *.vf ; do \
	install -m 644 $$i $(FONTS)/vf/ptex/a2mor2/$$i ; \
	done
	# dvi2ps
	cp tfm/*.tfm $(FONTS)/tfm/ptex/three
	cp dvi2ps/three $(DESTDIR)/etc/texmf/dvi2ps
	cp -a dvi2ps/fontsk/*-three $(DESTDIR)/usr/share/texmf/dvi2ps/fontsk
	cp dvi2ps/styles/three.sty $(DESTDIR)/usr/share/texmf/ptex/platex/misc
	# dvips
	cp debian/three.map $(DESTDIR)/etc/texmf/dvipsj
	cp dvi2ps/styles/three.dtx dvi2ps/styles/three.ins \
		debian/$(three)/usr/share/texmf/source/platex/three

install-ptexfake:
	cd ptexfake-tfm ; \
	for i in * ; do \
	install -m 644 $$i $(FONTS)/tfm/ptex/$$i ; \
	done

override_dh_auto_install-arch:
	# Add here commands to install the arch part of the package into
	# debian/dvi2ps-fontdata-ja.
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/dvi2ps-fontdata
